%define anolis_release 1

Name: libmbim
Version: 1.26.4
Release: %{anolis_release}%{?dist}
Summary: Support library for the Mobile Broadband Interface Model protocol
License: LGPLv2+
URL: http://freedesktop.org/software/libmbim
Source: http://freedesktop.org/software/libmbim/%{name}-%{version}.tar.xz

BuildRequires: gcc
BuildRequires: gtk-doc
BuildRequires: make
BuildRequires: python3
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(glib-2.0) >= 2.56
BuildRequires: pkgconfig(gobject-2.0)

%description
This package contains the libraries that make it easier to use MBIM
functionality from applications that use glib.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Header files for adding MBIM support to applications that use glib
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header and pkg-config files for developing
applications using MBIM functionality from applications that use glib.

%package utils
Summary: Utilities to use the MBIM protocol from the command line
Requires: %{name} = %{version}-%{release}
License: GPLv2+

%description utils
This package contains the utilities that make it easier to use MBIM
functionality from the command line.


%prep
%autosetup -p1


%build
%configure --disable-static --enable-gtk-doc
%{make_build}

%install
%{make_install}
find %{buildroot}%{_datadir}/gtk-doc |xargs touch --reference configure.ac

%generate_compatibility_deps

%check
%make_build check


%files
%dir %{abidir}
%license COPYING.LIB
%{_libdir}/libmbim-glib.so.4*
%{abidir}/libmbim-glib*.dump

%files doc
%doc NEWS AUTHORS README

%files devel
%{_includedir}/libmbim-glib/
%{_libdir}/pkgconfig/mbim-glib.pc
%{_libdir}/libmbim-glib.so
%{_datadir}/gtk-doc/html/libmbim-glib/

%files utils
%license COPYING
%{_bindir}/mbimcli
%{_bindir}/mbim-network
%{abidir}/mbimcli-option.list
%{abidir}/mbim-network-option.list
%{_datadir}/bash-completion
%{_libexecdir}/mbim-proxy
%{_mandir}/man1/mbim*


%changelog
* Mon Nov 21 2022 Funda Wang <fundawang@yeah.net> - 1.26.4-1
- New version 1.26.4

* Mon Oct 24 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.26.2-2
- optimise spec file & add doc package

* Tue Mar 08 2022 Jacob Wang <yungao.jacob@linux.alibaba.com> - 1.26.2-1
- Initial version from upstream 1.26.2
